Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface PortalCategory

All Known Implementing Classes:
  DefaultPortalCategory

public interface PortalCategory

The public interface for the PortalCategory entity. This class is for future use and is not supported yet.

Method Summary
`java.lang.String` | `getIconURL()` Gets the iconURL name for this category..
`java.lang.String` | `getName()` Gets the category name.
`int` | `getOrder()` Gets the zero-based offset display order for this category where zero would be the first portal category in the portal.
`java.lang.String` | `getPortalName()` Gets the portal name for the category.
`void` | `setIconURL(java.lang.String aURL)` Sets the icon URL for this category.
`void` | `setName(java.lang.String aCategoryName)` Sets the name.
`void` | `setOrder(int anOrder)` Gets the zero-based offset display order for this category where zero would be the first portal category in the portal.
`void` | `setPortalName(java.lang.String aPortalName)` Sets the portal name.

Method Detail

### getPortalName

    public java.lang.String getPortalName()

  Gets the portal name for the category.
  Returns:
    String The portal name.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Sets the portal name.
  Parameters:
    `aPortalName` - The portal name for this category.

### getName

    public java.lang.String getName()

  Gets the category name.
  Returns:
    String - The category name.

### setName

    public void setName(java.lang.String aCategoryName)

  Sets the name.
  Parameters:
    `aCategoryName` - The name of the category.

### getIconURL

    public java.lang.String getIconURL()

  Gets the iconURL name for this category..
  Returns:
    String - The icon url name for this category.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Sets the icon URL for this category.
  Parameters:
    `aURL` -

### getOrder

    public int getOrder()

  Gets the zero-based offset display order for this category where zero would be the first portal category in the portal. Affects the display order of the portal categories in a a portal categories short-cut icon bar.
  Returns:
    int - The order.

### setOrder

    public void setOrder(int anOrder)

  Gets the zero-based offset display order for this category where zero would be the first portal category in the portal. Affects the display order of the portal categories in a a portal categories short-cut icon bar.
  Parameters:
    `int` - The order.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved